
<!-- README.md is generated from README.Rmd. Please edit that file -->

## Links Importantes

- Nosso blog: <https://curso-r.com/blog/>
- Nosso fórum: <https://discourse.curso-r.com/>
- Nossos livros:
  - [Ciência de Dados em R](https://livro.curso-r.com/)
  - [Zen do R](https://curso-r.github.io/zen-do-r/)
  - [Programando em Shiny](https://programando-em-shiny.curso-r.com/)
  - [Beautiful R](https://curso-r.github.io/beautiful-r/) (em inglês)

## Slides

| Slide                                                                                                         |
|:--------------------------------------------------------------------------------------------------------------|
| [00_introducao.html](https://curso-r.github.io/202303-r4ds-2/materiais/slides/00_introducao.html)             |
| [01_manipulacao.html](https://curso-r.github.io/202303-r4ds-2/materiais/slides/01_manipulacao.html)           |
| [02_strings.html](https://curso-r.github.io/202303-r4ds-2/materiais/slides/02_strings.html)                   |
| [03_datas_fatores.html](https://curso-r.github.io/202303-r4ds-2/materiais/slides/03_datas_fatores.html)       |
| [04_controle_funcoes.html](https://curso-r.github.io/202303-r4ds-2/materiais/slides/04_controle_funcoes.html) |
| [05_funcional.html](https://curso-r.github.io/202303-r4ds-2/materiais/slides/05_funcional.html)               |
| [06_metaprogramacao.html](https://curso-r.github.io/202303-r4ds-2/materiais/slides/06_metaprogramacao.html)   |

## Exemplos de Aula

| Exemplo                                                                                         |
|:------------------------------------------------------------------------------------------------|
| [01_manipulacao.R](https://curso-r.github.io/202303-r4ds-2/exemplos/01_manipulacao.R)           |
| [02_strings.R](https://curso-r.github.io/202303-r4ds-2/exemplos/02_strings.R)                   |
| [03_datas_fatores.R](https://curso-r.github.io/202303-r4ds-2/exemplos/03_datas_fatores.R)       |
| [04_controle_funcoes.R](https://curso-r.github.io/202303-r4ds-2/exemplos/04_controle_funcoes.R) |
| [05_funcional.R](https://curso-r.github.io/202303-r4ds-2/exemplos/05_funcional.R)               |
| [06_metaprogramacao.R](https://curso-r.github.io/202303-r4ds-2/exemplos/06_metaprogramacao.R)   |

## Exercícios

| Exercício                                                                               |
|:----------------------------------------------------------------------------------------|
| [tarefas.Rmd](https://curso-r.github.io/202303-r4ds-2/materiais/exercicios/tarefas.Rmd) |
| [tcc.Rmd](https://curso-r.github.io/202303-r4ds-2/materiais/exercicios/tcc.Rmd)         |

## Material Extra

Referências extras relacionadas com o conteúdos das aulas, ou materiais
que comentamos quando tiramos dúvidas (não necessariamente são
relacionadas com o conteúdo da aula).

| Aula | Tema      | Descrição                                  | Link                                                                                 |
|-----:|:----------|:-------------------------------------------|:-------------------------------------------------------------------------------------|
|    1 | tidyr     | Colinha do tidyr                           | <https://raw.githubusercontent.com/rstudio/cheatsheets/main/tidyr.pdf>               |
|    1 | tidyr     | Livro da Curso-R: capítulo sobre tidyr     | <https://livro.curso-r.com/7-3-tidyr.html>                                           |
|    1 | tidyr     | Texto sobre tidyr por Garrick Aden-Buie    | <https://www.garrickadenbuie.com/project/tidyexplain/>                               |
|    1 | dplyr     | Colinha do dplyr                           | <https://raw.githubusercontent.com/rstudio/cheatsheets/main/data-transformation.pdf> |
|    1 | dplyr     | Livro da Curso-R: capítulo sobre dplyr 1.0 | <https://livro.curso-r.com/7-2-dplyr.html#dplyr-1.0>                                 |
|    2 | stringr   | Colinha do stringr                         | <https://raw.githubusercontent.com/rstudio/cheatsheets/main/strings.pdf>             |
|    2 | stringr   | Livro da Curso-R: capítulo sobre stringr   | <https://livro.curso-r.com/7-4-o-pacote-stringr.html>                                |
|    2 | stringr   | Documentação das regex no R                | <https://stringi.gagolewski.com/rapi/about_search_regex.html>                        |
|    2 | stringr   | Regex interativo                           | <https://regex101.com/>                                                              |
|    2 | stringr   | Transliteração - removendo acentos         | <https://blog.curso-r.com/posts/2019-08-29-transliteracao/>                          |
|    2 | stringr   | Lista de caracteres em Unicode             | <https://en.wikipedia.org/wiki/List_of_Unicode_characters>                           |
|    3 | lubridate | Colinha do lubridate                       | <https://raw.githubusercontent.com/rstudio/cheatsheets/main/lubridate.pdf>           |
|    3 | lubridate | Livro da Curso-R: capítulo sobre lubridate | <https://livro.curso-r.com/7-5-o-pacote-lubridate.html>                              |
|    3 | lubridate | Códigos de especificação                   | <https://rdrr.io/r/base/strptime.html>                                               |
|    3 | forcats   | Colinha do forcats                         | <https://raw.githubusercontent.com/rstudio/cheatsheets/main/factors.pdf>             |
|    3 | forcats   | Livro da Curso-R: capítulo sobre forcats   | <https://livro.curso-r.com/7-6-forcats.html>                                         |
|    4 | controle  | Livro da Curso-R: capítulo sobre controle  | <https://livro.curso-r.com/3-12-controle-de-fluxo.html>                              |
|    4 | funções   | Livro da Curso-R: capítulo sobre funções   | <https://livro.curso-r.com/3-3-objetosFuncoes.html>                                  |
|    5 | purrr     | Webinar de purrr avançado                  | <https://www.youtube.com/watch?v=vb1lD9_AFcU>                                        |
|    5 | purrr     | Colinha do purrr                           | <https://raw.githubusercontent.com/rstudio/cheatsheets/main/purrr.pdf>               |
|    5 | purrr     | Livro da Curso-R: capítulo sobre purrr     | <https://livro.curso-r.com/10-funcionais.html>                                       |
|    6 | rlang     | Livro da Curso-R: capítulo sobre rlang     | <https://livro.curso-r.com/11-1-nse.html>                                            |
|    6 | rlang     | Interpolação no rlang                      | <https://www.tidyverse.org/blog/2020/02/glue-strings-and-tidy-eval/>                 |
|    6 | TCC       | Dicas para criar tabelas                   | <https://blog.curso-r.com/posts/2020-12-03-dicas-relatorios-r4ds1_tabelas/>          |
|    6 | TCC       | Dicas de relatórios                        | <https://blog.curso-r.com/posts/2021-03-15-dicas-relatorios-r4ds1_relatorios/>       |
|    6 | TCC       | Colinha do rmarkdown                       | <https://raw.githubusercontent.com/rstudio/cheatsheets/main/rmarkdown.pdf>           |

## Redes Sociais da Curso-R

- YouTube: <https://www.youtube.com/c/CursoR6>
- Instagram: <https://www.instagram.com/cursoo_r/>
- Twitter: <https://twitter.com/curso_r>
- LinkedIn: <https://www.linkedin.com/company/curso-r/>
- Facebook: <https://www.facebook.com/cursodeR>
